<?php

namespace App\Http\Controllers\Peertube\Myaccount\Blocklist;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Http\Controllers\Peertube\Common;
// use Illuminate\Support\Facades\Log;

class Servers extends Common {
  private $common;

  public function __construct () {
    $this->common = new Common;
  }

  public function index () {
    if (!isset($this->common->user['me']) || is_null($this->common->user['me'])) {
      return redirect('/peertube/login');
    }

    $res = [
      'page' => 'dummy',
      'style' => 'dummy',
      'userinfo' => $this->common->user,
    ];
    // $res['owner'] = $this->getOwner($id);
    return view('pages.peertube.notyet', ['res' => $res]);
  }

  function getOwner ($id) {
    //https://video.076.ne.jp/api/v1/users/me/subscriptions?start=0&count=10
    return $this->ptapi('/api/v1/accounts/'.$id);
  }
}
